Bug 186971 - LABEL=<label> is invalid in redhat-config-cluster(-cmd) even though it works in underlying system
LABEL=<label> is invalid in redhat-config-cluster(-cmd) even though it works ...
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3
i386 Linux
urgent Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 14:26 EST by Tarun Reddy
Modified: 2016-04-26 09:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 15:37:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tarun Reddy 2006-03-27 14:26:39 EST
Description of problem:
While the core components of RHCS support mounting via LABEL,
redhat-config-cluster does not accept these values under Device Special File.

Editing the cluster.xml file to place LABEL entries works. This seems like it is
a simple GUI fix to allow LABEL entries for Device mounts.

Version-Release number of selected component (if applicable):
redhat-config-cluster-1.0.8-1

How reproducible:
Always

Steps to Reproduce:
1. Create a filesystem with a label (mkfs.ext3 -L testLabel /dev/sdd
2. open redhat-cluster-config and create a new service.
3. add a device child. Use LABEL=testLabel as the Device Special File. Press OK.
Get error. (put /dev/sdd in for now)
4. Editing cluster.xml by hand to replace /dev/sdd with LABEL=<label> works.
  
Additional info:
redhat-cluster-config-cmd works in the same broken way when attempting to add a
device by LABEL. For example, 
[root@boulder2 root]# redhat-config-cluster-cmd --service=boulder-testmount
--add_device --name="LABEL=/oradata" 
Error: Device Special File "LABEL=/oradata" does not exist
Comment 3 Chris Feist 2009-07-29 13:08:41 EDT
Pulling the 4.8.z flag as this won't be fixed until 4.9 (at the earliest).
Comment 5 RHEL Product and Program Management 2010-01-04 15:37:54 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.